MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025955Community[OCCT] OCCT:Visualizationpublic2015-03-17 20:232015-05-14 15:31
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025955: Visualization, AIS_Shape::UnsetColor() - fix storing color in a local variable
DescriptionQuantity_Color aColor = aDefaultMat.AmbientColor();
if (myDrawer->HasLink())
{
  Quantity_Color aColor = myDrawer->Link()->ShadingAspect()->Color (myCurrentFacingModel);
}
mat.SetColor (aColor);
Steps To ReproduceNot applicable.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0038454)
git (administrator)
2015-03-17 20:28

Branch CR25955 has been created by Pawel.

SHA-1: d0ba264ff1a858749e0820948cc099d8433cda93


Detailed log of new commits:

Author: Pawel
Date: Tue Mar 17 18:27:49 2015 +0100

    Removed the color declaration overriding another variable.
(0038455)
Pawel (developer)
2015-03-17 20:29

Branch 25955 pushed. Please review.
(0038673)
kgv (developer)
2015-03-19 09:21

Please test the patch
(0038695)
apv (tester)
2015-03-19 16:17

Dear BugMaster,

Branch CR25955 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d0ba264ff1a858749e0820948cc099d8433cda93

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 89826858 / 90001620
Total CPU difference: 58339.789999999986 / 58911.169999999984

Testing on Windows:
Total MEMORY difference: 58088432 / 58093704
Total CPU difference: 48598.46875 / 57284.859375
(0039449)
git (administrator)
2015-04-09 09:49

Branch CR25955 has been deleted by kgv.

SHA-1: d0ba264ff1a858749e0820948cc099d8433cda93

- Related Changesets
occt: master 4e2914a6
Timestamp: 2015-03-17 17:27:49
Author: Pawel
Committer: bugmaster
Details ] Diff ]
0025955: Visualization, AIS_Shape::UnsetColor() - fix storing color in a local variable

Removed the color declaration overriding another variable.
mod - src/AIS/AIS_Shape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-17 20:23 Pawel New Issue
2015-03-17 20:23 Pawel Assigned To => Pawel
2015-03-17 20:28 git Note Added: 0038454
2015-03-17 20:29 Pawel Note Added: 0038455
2015-03-17 20:29 Pawel Assigned To Pawel => kgv
2015-03-17 20:29 Pawel Status new => resolved
2015-03-17 20:29 Pawel Steps to Reproduce Updated View Revisions
2015-03-19 09:21 kgv Note Added: 0038673
2015-03-19 09:21 kgv Assigned To kgv => bugmaster
2015-03-19 09:21 kgv Severity minor => trivial
2015-03-19 09:21 kgv Status resolved => reviewed
2015-03-19 09:21 kgv Product Version 6.9.0 =>
2015-03-19 09:21 kgv Summary AIS_Shape::UnsetColor - Storing color in a local variable => Visualization, AIS_Shape::UnsetColor() - fix storing color in a local variable
2015-03-19 09:21 kgv Relationship added child of 0025773
2015-03-19 10:22 apv Assigned To bugmaster => apv
2015-03-19 16:06 apv Test case number => Not needed
2015-03-19 16:17 apv Note Added: 0038695
2015-03-19 16:17 apv Assigned To apv => bugmaster
2015-03-19 16:17 apv Status reviewed => tested
2015-03-20 13:34 bugmaster Changeset attached => occt master 4e2914a6
2015-03-20 13:34 bugmaster Status tested => verified
2015-03-20 13:34 bugmaster Resolution open => fixed
2015-04-09 09:49 git Note Added: 0039449
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:31 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker